html {
    color-scheme: dark;
    font-family: monospace;
    height: 100%;
    width: 100%;
}

body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 8px;
    box-sizing: border-box;
}

.hidden {
    display: none !important;
}

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#page_container {
    height: 100%;
    width: 100%;
    border: 1px solid green;
    box-sizing: border-box;
    display: flex;
}

.link {
    color: white !important;
    text-decoration-color: green;
}

.gray {
    color: rgb(150, 150, 150);
}

#center_button {
    cursor: pointer;
}

/* Rainbow Link */
@keyframes rainbow_animation {
    0%, 100% {
        background-position: 0 0;
    }

    50% {
        background-position: 100% 0;
    }
}

.rainbow_link {
    background: linear-gradient(90deg, #9191ff, #18a3ff , #19ff19, #ff51a8, #7e7eff);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: rainbow_animation 5s ease-in-out infinite;
    background-size: 400% 100%;
    text-decoration-color: green;
}

/* Map */
#map_pane {
    flex: 0.785;
    position: relative;
}
#map_element {
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.leaflet-popup-content-wrapper {
    border-radius: 0 !important;
    background: #121212;
    border: 1px solid green;
}
.leaflet-popup-tip {
    background: #121212;
    border: 2px solid green;
    padding: 0;
}
.leaflet-popup-content {
    color: #ffffff;
    font-family: monospace;
    font-size: 13px;
}
.leaflet-container a.leaflet-popup-close-button {
	color: #8a8a8a;
    /* Unselectable */
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.leaflet-container a.leaflet-popup-close-button:hover,
.leaflet-container a.leaflet-popup-close-button:focus {
	color: #a7a7a7;
}

/* Information pane and tabs */
#information_pane {
    border-left: 1px solid green;
    flex: 0.215;
    display: flex;
    flex-direction: column;
    min-width: 0;
    overflow-y: auto;
}
#information_tabs {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid green;
    height: 24px;
}
#information_infotab {
    border-right: 1px solid green;
}
.information_tab {
    cursor: pointer;
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}
#information_content {
    flex: 1;
    margin-left: 12px;
    margin-right: 12px;
    overflow-x: auto;
}
.information_image {
    width: calc(100% - 8px);
    height: auto;
    cursor: pointer;
    padding-right: 4px;
    padding-left: 4px;
    margin-bottom: 4px;
}

/* Settings container and tabs */
#settings_container {
    width: 512px;
    height: 512px;
    background-color: #121212;
    border: green solid 1px;
    display: flex;
    flex-direction: row;
}
#settings_tabs {
    height: 100%;
    border-right: 1px solid green;
}
.settings_tab {
    border-bottom: 1px solid green;
    padding: 8px;
    cursor: pointer;
}
#settings_content {
    height: 100%;
    flex-grow: 1;
    padding: 8px;
    padding-right: 16px;
    position: relative;
    box-sizing: border-box;
}
.settings_pane {
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    overflow: auto;
}
#overlay_close_button {
    cursor: pointer;
    position: absolute;
    right: 2px;
    top: 2px;
    background-color: #121212;
}
.settingsindicator_base {
    transition: none;
    opacity: 1;
}
.settingsindicator_animation {
    transition-delay: 600ms;
    transition-property: opacity;
    transition-duration: 1s;
    opacity: 0;
}

/* Tabs, continued.. */
.selected_tab {
    background-color: rgba(0, 128, 0, 0.25);
}
.information_tab:hover {
    background-color: rgba(0, 128, 0, 0.12);
}
.settings_tab:hover {
    background-color: rgba(0, 128, 0, 0.12);
}
.selected_tab:hover {
    background-color: rgba(0, 128, 0, 0.19);
}

/* Information pane collapse/expand buttons */
#information_pane_menu {
    position: absolute;
    z-index: 900;
    font-family: monospace;
    background-color: #121212;
    display: flex;
    top: 16px;
    right: 0;
    border: green solid 1px;
    border-top: 0;
    border-right: 0;
    flex-direction: column;
}
.pane_menu_child {
    border-top: solid green 1px;
    cursor: pointer;
    padding: 6px;
}
.chevron_styling {
    fill: none;
    stroke: #fff;
    stroke-linecap: square;
    stroke-linejoin: miter;
    stroke-width: 48px
}
#expanded_vertical_button,
#collapsed_vertical_button {
    display: none;
}
.paneshrunken {
    /* Using !important is bad practice but I could not imagine a better way to do this */
    flex: 0 !important;
    display: none !important;
}
.paneexpanded {
    flex: 1 !important;
}

/* Points content */
.category_parent {
    display: flex;
    border: 1px solid green;
    white-space: nowrap;
    margin-top: 12px;
    padding: 8px;
    align-items: center;
}
.category_parentbutton {
    cursor: pointer;
    padding: 4px;
}
.category_parentname {
    flex: 1;
    padding-left: 4px;
    padding-right: 8px;
    overflow: hidden;
    text-overflow: ellipsis;
    text-wrap: nowrap;
}

/* Information footer */
#information_footer {
    border-top: 1px solid green;
    margin: 12px;
    margin-top: 6px;
    padding-top: 6px;
    overflow: auto;
}

@media (max-width: 650px) {
    #page_container {
        flex-flow: column;
    }
    #credits {
        display: none;
    }
    #map_pane {
        flex: 0.65;
    }
    #information_pane {
        border-top: 1px solid green;
        border-left: 0;
        flex: 0.35;
    }
    /* Information pane collapse/expand buttons */
    #information_pane_menu {
        top: unset;
        right: 16px;
        bottom: 0;
        border: green solid 1px;
        border-left: 0;
        border-bottom: 0;
        flex-direction: row-reverse;
    }
    .pane_menu_child {
        border-top: 0;
        border-left: solid green 1px;
    }
    #expanded_horizontal_button,
    #collapsed_horizontal_button {
        display: none;
    }
    #expanded_vertical_button,
    #collapsed_vertical_button {
        display: block;
    }
}

@media (max-height: 600px) {
    #credits {
        display: none;
    }
}

/* Image viewer */
#overlay_screen {
    position: fixed;
    width: 100%;
    height: 100%;
    margin: -8px;
    z-index: 1000;
    display: flex; 
    justify-content: center;
    align-items: center;
    background-color: rgba(30, 30, 30, 0.9);
}

#display_image {
    max-height: 80%;
    max-width: 80%;
    background-color: rgba(30, 30, 30, 0.4);
}
